Avant toute chose merci de (re)prendre connaissance de la charte et de la respecter.
Pour résumer :
- Avant de poser une question, je cherche si la réponse existe
- Je suis poli, courtois et je respecte tout un chacun sur le forum
- Si un post m'agace : je m'en éloigne plutôt que de répondre d'une façon qui pourrait être mal interprétée


Il n'est jamais du luxe que de rappeler des choses simples :
Courtoisie, amabilité, politesse et bonne humeur sont les maîtres mots pour un forum sympathique, bienveillant et accueillant :)

Toute la communauté vous remercie

[Plugin Tiers][Sujet Principal] Dash Button Amazon

Pour échanger sur les plugins classés en catégorie "Objets connectés"
Carl
Timide
Messages : 37
Inscription : 14 juil. 2016, 17:58

Re: [Plugin Tiers][Sujet Principal] Dash Button Amazon

Message par Carl » 21 mars 2018, 12:00

Bonjour,
Depuis la dernière mise à jour les dépendances se sont bien installées.
Mais je n'arrive pas à redémarrer le démon ci-joint les log.

Code : Tout sélectionner

module.js:681
  return process.dlopen(module, path._makeLong(filename));
                 ^

Error: The module '/var/www/html/plugins/dashbutton/resources/node_modules/pcap/build/Release/pcap_binding.node'
was compiled against a different Node.js version using
NODE_MODULE_VERSION 51. This version of Node.js requires
NODE_MODULE_VERSION 57. Please try re-compiling or re-installing
the module (for instance, using `npm rebuild` or `npm install`).
    at Object.Module._extensions..node (module.js:681:18)
    at Module.load (module.js:565:32)
    at tryModuleLoad (module.js:505:12)
    at Function.Module._load (module.js:497:3)
    at Module.require (module.js:596:17)
    at require (internal/module.js:11:18)
    at Object.<anonymous> (/var/www/html/plugins/dashbutton/resources/node_modules/pcap/pcap.js:3:21)
    at Module._compile (module.js:652:30)
    at Object.Module._extensions..js (module.js:663:10)
    at Module.load (module.js:565:32)

Kims
Timide
Messages : 23
Inscription : 20 mars 2018, 00:50

Re: [Plugin Tiers][Sujet Principal] Dash Button Amazon

Message par Kims » 22 mars 2018, 00:30

Bonjour,

Quand j'installe les dépendance du plugin j'ai cela dans les logs

Code : Tout sélectionner

Début de l'installation
--2018-03-21 23:27:17--  https://raw.githubusercontent.com/lunarok/jeedom_nodejs/master/nodejs.sh
Resolving raw.githubusercontent.com (raw.githubusercontent.com)... 151.101.120.133
Connecting to raw.githubusercontent.com (raw.githubusercontent.com)|151.101.120.133|:443... connected.
HTTP request sent, awaiting response... 200 OK
Length: 1592 (1.6K) [text/plain]
Saving to: 'dependencies.sh'
0K .                                                     100% 13.6M=0s
2018-03-21 23:27:17 (13.6 MB/s) - 'dependencies.sh' saved [1592/1592]
Version actuelle : 8
E: Could not open lock file /var/lib/dpkg/lock - open (13: Permission denied)
E: Unable to lock the administration directory (/var/lib/dpkg/), are you root?
dependencies.sh: 20: [: stretch: unexpected operator
Ok, version suffisante
> socketwatcher@0.3.0 install /var/www/html/plugins/dashbutton/resources/node_modules/socketwatcher
> node-gyp rebuild
make: Entering directory '/var/www/html/plugins/dashbutton/resources/node_modules/socketwatcher/build'
CXX(target) Release/obj.target/socketwatcher/socket_watcher.o
../socket_watcher.cpp: In static member function 'static void SocketWatcher::Callback(uv_poll_t*, int, int)':
../socket_watcher.cpp:77:60: warning: 'v8::Local<v8::Value> Nan::MakeCallback(v8::Local<v8::Object>, v8::Local<v8::Function>, int, v8::Local<v8::Value>*)' is deprecated [-Wdeprecated-declarations]
Nan::MakeCallback(watcher->handle(), callback, argc, argv);
^
In file included from ../socket_watcher.hpp:8:0,
from ../socket_watcher.cpp:5:
../../nan/nan.h:929:46: note: declared here
NAN_DEPRECATED inline v8::Local<v8::Value> MakeCallback(
^~~~~~~~~~~~
../socket_watcher.cpp: In static member function 'static void SocketWatcher::New(const Nan::FunctionCallbackInfo<v8::Value>&)':
../socket_watcher.cpp:104:49: warning: 'v8::Local<v8::Object> v8::Function::NewInstance() const' is deprecated: Use maybe version [-Wdeprecated-declarations]
info.GetReturnValue().Set(cons->NewInstance());
^
In file included from /var/www/.node-gyp/8.10.0/include/node/v8.h:26:0,
from /var/www/.node-gyp/8.10.0/include/node/node.h:63,
from ../../nan/nan.h:51,
from ../socket_watcher.hpp:8,
from ../socket_watcher.cpp:5:
/var/www/.node-gyp/8.10.0/include/node/v8.h:3851:52: note: declared here
V8_DEPRECATED("Use maybe version", Local<Object> NewInstance() const);
^
/var/www/.node-gyp/8.10.0/include/node/v8config.h:318:3: note: in definition of macro 'V8_DEPRECATED'
declarator __attribute__((deprecated(message)))
^~~~~~~~~~
SOLINK_MODULE(target) Release/obj.target/socketwatcher.node
COPY Release/socketwatcher.node
make: Leaving directory '/var/www/html/plugins/dashbutton/resources/node_modules/socketwatcher/build'
> pcap@2.0.0 install /var/www/html/plugins/dashbutton/resources/node_modules/pcap
> node-gyp rebuild
make: Entering directory '/var/www/html/plugins/dashbutton/resources/node_modules/pcap/build'
CXX(target) Release/obj.target/pcap_binding/pcap_binding.o
../pcap_binding.cc:2:23: fatal error: pcap/pcap.h: No such file or directory
#include <pcap/pcap.h>
^
compilation terminated.
pcap_binding.target.mk:94: recipe for target 'Release/obj.target/pcap_binding/pcap_binding.o' failed
make: *** [Release/obj.target/pcap_binding/pcap_binding.o] Error 1
make: Leaving directory '/var/www/html/plugins/dashbutton/resources/node_modules/pcap/build'
gyp ERR! build error
gyp ERR! stack Error: `make` failed with exit code: 2
gyp ERR! stack     at ChildProcess.onExit (/usr/lib/node_modules/npm/node_modules/node-gyp/lib/build.js:258:23)
gyp ERR! stack     at emitTwo (events.js:126:13)
gyp ERR! stack     at ChildProcess.emit (events.js:214:7)
gyp ERR! stack     at Process.ChildProcess._handle.onexit (internal/child_process.js:198:12)
gyp ERR! System Linux 4.9.80-v7+
gyp ERR! command "/usr/bin/node" "/usr/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js" "rebuild"
gyp ERR! cwd /var/www/html/plugins/dashbutton/resources/node_modules/pcap
gyp ERR! node -v v8.10.0
gyp ERR! node-gyp -v v3.6.2
gyp ERR! not ok
npm ERR! code ELIFECYCLE
npm ERR! errno 1
npm ERR! pcap@2.0.0 install: `node-gyp rebuild`
npm ERR! Exit status 1
npm ERR!
npm ERR! Failed at the pcap@2.0.0 install script.
npm ERR! This is probably not a problem with npm. There is likely additional logging output above.
npm ERR! A complete log of this run can be found in:
npm ERR!     /var/www/.npm/_logs/2018-03-21T23_27_50_373Z-debug.log
Fin de l'installation

Et quand je lance le démon :

Code : Tout sélectionner

module.js:549
throw err;
^
Error: Cannot find module 'node-dash-button'
at Function.Module._resolveFilename (module.js:547:15)
at Function.Module._load (module.js:474:25)
at Module.require (module.js:596:17)
at require (internal/module.js:11:18)
at Object.<anonymous> (/var/www/html/plugins/dashbutton/resources/dashbutton.js:1:81)
at Module._compile (module.js:652:30)
at Object.Module._extensions..js (module.js:663:10)
at Module.load (module.js:565:32)
at tryModuleLoad (module.js:505:12)
at Function.Module._load (module.js:497:3)
Que pourrais-je faire pour régler ces problèmes ?
Merci

znation
Actif
Messages : 1883
Inscription : 12 nov. 2014, 15:48

Re: [Plugin Tiers][Sujet Principal] Dash Button Amazon

Message par znation » 23 mars 2018, 11:11

Bonjour,

J'ai également un soucis avec le plugin, les dépendances ont l'air de s'installer correctement mais le demon s'arrete systématiquement.

Pour info j'ai reinstallé mon système le weekend dernier avec en debian 9.4 (avant j'etais en 9.3, ca fonctionnait bien sur et je me demande si c'est lié ou alors ce que mentionne maggic avec le prochain passage a nodejs v8 LTS si j'ai 'compris').

Je joins les logs dependances et node :-)

Merci.
Pièces jointes
dashbutton_node.txt
(585 octets) Téléchargé 18 fois
dashbutton_dep.txt
(4.53 Kio) Téléchargé 21 fois
JEEDOM v3.3.19 - NUC Z83

Avatar de l’utilisateur
Jeandhom
Actif
Messages : 1162
Inscription : 20 oct. 2015, 17:32

Re: [Plugin Tiers][Sujet Principal] Dash Button Amazon

Message par Jeandhom » 23 mars 2018, 11:20

Il n'y a pas besoin de réinstaller debian pour passer de 9.3 en 9.4.

Il suffit d'upgrader.

apt-get update
apt-get dist-upgrade

Avec sudo devant si tu n'est pas en root.

znation
Actif
Messages : 1883
Inscription : 12 nov. 2014, 15:48

Re: [Plugin Tiers][Sujet Principal] Dash Button Amazon

Message par znation » 23 mars 2018, 11:59

LOL je sais, c'est juste que mon système etait bancal je suis reparti d'une install propre mais qui est passé de debian 9.3 à 9.4.
JEEDOM v3.3.19 - NUC Z83

Avatar de l’utilisateur
Jeandhom
Actif
Messages : 1162
Inscription : 20 oct. 2015, 17:32

Re: [Plugin Tiers][Sujet Principal] Dash Button Amazon

Message par Jeandhom » 23 mars 2018, 13:36

J'ai hésité à poster, mais ton message, pour un non initié, pourrait faire croire qu'une réinstal soit nécessaire pour upgrader debian.

Avatar de l’utilisateur
donotos
Timide
Messages : 104
Inscription : 20 janv. 2018, 12:37

Re: [Plugin Tiers][Sujet Principal] Dash Button Amazon

Message par donotos » 23 mars 2018, 17:50

Bon il semble que je ne sois pas le seul a rencontrer ce problème. Mes logs sont identiques a ceux de @Kims. Je suis en debian 9.3 par contre (réinstallé il y a 3 semaines).

Du coup je vais attendre, mes connaissances ne me permettent pas d'analyser les logs.

et merci d'avance si quelqu'un trouve une solution.
Jeedom sur un Z83
Xiaomi Gateway et tout un tas de modules, Xiaomi Mijia 1080P Smart IP Camera
RFXCom, RFLink, Broadlink RM3 & Mini, Interupteurs Livolo sans fil,
Thermostat Qivivo, Boutons Amazon Dash

Kims
Timide
Messages : 23
Inscription : 20 mars 2018, 00:50

Re: [Plugin Tiers][Sujet Principal] Dash Button Amazon

Message par Kims » 23 mars 2018, 18:01

donotos a écrit :
23 mars 2018, 17:50
Bon il semble que je ne sois pas le seul a rencontrer ce problème. Mes logs sont identiques a ceux de @Kims. Je suis en debian 9.3 par contre (réinstallé il y a 3 semaines).

Du coup je vais attendre, mes connaissances ne me permettent pas d'analyser les logs.

et merci d'avance si quelqu'un trouve une solution.
J'ai finis par trouver... du moins ça a marché pour moi j'ai fais ça sur raspberry3

sudo apt-get install libpcap-dev
npm install --save dash-button

en espérant que ca t'aidera :)

Avatar de l’utilisateur
donotos
Timide
Messages : 104
Inscription : 20 janv. 2018, 12:37

Re: [Plugin Tiers][Sujet Principal] Dash Button Amazon

Message par donotos » 23 mars 2018, 18:47

Kims a écrit :
23 mars 2018, 18:01
donotos a écrit :
23 mars 2018, 17:50
Bon il semble que je ne sois pas le seul a rencontrer ce problème. Mes logs sont identiques a ceux de @Kims. Je suis en debian 9.3 par contre (réinstallé il y a 3 semaines).

Du coup je vais attendre, mes connaissances ne me permettent pas d'analyser les logs.

et merci d'avance si quelqu'un trouve une solution.
J'ai finis par trouver... du moins ça a marché pour moi j'ai fais ça sur raspberry3

sudo apt-get install libpcap-dev
npm install --save dash-button

en espérant que ca t'aidera :)
super!

pour le coup j'ai juste installer libpcap-dev et fait une réinstall des dépendances dans jeedom et tout roule maintenant.


Merci!
Jeedom sur un Z83
Xiaomi Gateway et tout un tas de modules, Xiaomi Mijia 1080P Smart IP Camera
RFXCom, RFLink, Broadlink RM3 & Mini, Interupteurs Livolo sans fil,
Thermostat Qivivo, Boutons Amazon Dash

znation
Actif
Messages : 1883
Inscription : 12 nov. 2014, 15:48

Re: [Plugin Tiers][Sujet Principal] Dash Button Amazon

Message par znation » 24 mars 2018, 12:41

merci idem sudo apt-get install libpcap-dev à fait l'affaire.
JEEDOM v3.3.19 - NUC Z83

sebtec
Timide
Messages : 80
Inscription : 21 août 2015, 16:24

Re: [Plugin Tiers][Sujet Principal] Dash Button Amazon

Message par sebtec » 24 mars 2018, 20:07

znation a écrit :
24 mars 2018, 12:41
merci idem sudo apt-get install libpcap-dev à fait l'affaire.
idem j'ai moi sur pi3 le sudo apt-get install libpcap-dev a résolu le problème NOK du demon

merci
RPI3 +SSD Z-Wave, RFXCOM, BLEA (Stable)
1 x Station Netamo + 3 modules
2 x Caméra Heden.

Avatar de l’utilisateur
Fabrice
Actif
Messages : 2852
Inscription : 27 oct. 2016, 22:26
Localisation : Planète terre, IDF, 93

Re: [Plugin Tiers][Sujet Principal] Dash Button Amazon

Message par Fabrice » 28 mars 2018, 20:50

Bonjour,

Voici la log d'installation des dépendances de la version du 2018-03-28 04:53:53

Je suis sur un RPI3 avec Jessie

Code : Tout sélectionner

Début de l'installation
Reading package lists...
Building dependency tree...
Reading state information...
libpcap-dev is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 2 not upgraded.
--2018-03-28 20:30:07--  https://raw.githubusercontent.com/lunarok/jeedom_nodejs/master/nodejs.sh
Resolving raw.githubusercontent.com (raw.githubusercontent.com)... 151.101.120.133
Connecting to raw.githubusercontent.com (raw.githubusercontent.com)|151.101.120.133|:443... connected.
HTTP request sent, awaiting response... 200 OK
Length: 1617 (1.6K) [text/plain]
Saving to: ‘dependencies.sh’
0K .                                                     100% 13.8M=0s
2018-03-28 20:30:07 (13.8 MB/s) - ‘dependencies.sh’ saved [1617/1617]
Version actuelle : 8
Get:1 http://archive.raspberrypi.org jessie InRelease [22.9 kB]
Get:2 http://mirrordirector.raspbian.org jessie InRelease [14.9 kB]
Get:3 https://deb.nodesource.com jessie InRelease [4,646 B]
Get:4 http://mirrordirector.raspbian.org jessie/main armhf Packages [9,536 kB]
Hit https://deb.nodesource.com jessie/main Sources
Get:5 https://deb.nodesource.com jessie/main armhf Packages [1,001 B]
Get:6 https://deb.nodesource.com jessie/main Translation-en_GB [162 B]
Get:7 https://deb.nodesource.com jessie/main Translation-en [162 B]
Get:8 http://archive.raspberrypi.org jessie/main armhf Packages [172 kB]
Get:9 https://deb.nodesource.com jessie/main Translation-en_GB [162 B]
Get:10 https://deb.nodesource.com jessie/main Translation-en [162 B]
Hit http://archive.raspberrypi.org jessie/ui armhf Packages
Get:11 https://deb.nodesource.com jessie/main Translation-en_GB [162 B]
Get:12 https://deb.nodesource.com jessie/main Translation-en [162 B]
Get:13 https://deb.nodesource.com jessie/main Translation-en_GB [162 B]
Get:14 https://deb.nodesource.com jessie/main Translation-en [162 B]
Get:15 https://deb.nodesource.com jessie/main Translation-en_GB [162 B]
Ign https://deb.nodesource.com jessie/main Translation-en_GB
Get:16 https://deb.nodesource.com jessie/main Translation-en [162 B]
Ign https://deb.nodesource.com jessie/main Translation-en
Ign http://archive.raspberrypi.org jessie/main Translation-en_GB
Ign http://archive.raspberrypi.org jessie/main Translation-en
Ign http://archive.raspberrypi.org jessie/ui Translation-en_GB
Ign http://archive.raspberrypi.org jessie/ui Translation-en
Get:17 http://mirrordirector.raspbian.org jessie/contrib armhf Packages [43.3 kB]
Get:18 http://mirrordirector.raspbian.org jessie/non-free armhf Packages [84.2 kB]
Get:19 http://mirrordirector.raspbian.org jessie/rpi armhf Packages [1,356 B]
Ign http://mirrordirector.raspbian.org jessie/contrib Translation-en_GB
Ign http://mirrordirector.raspbian.org jessie/contrib Translation-en
Ign http://mirrordirector.raspbian.org jessie/main Translation-en_GB
Ign http://mirrordirector.raspbian.org jessie/main Translation-en
Ign http://mirrordirector.raspbian.org jessie/non-free Translation-en_GB
Ign http://mirrordirector.raspbian.org jessie/non-free Translation-en
Ign http://mirrordirector.raspbian.org jessie/rpi Translation-en_GB
Ign http://mirrordirector.raspbian.org jessie/rpi Translation-en
Fetched 9,880 kB in 15s (634 kB/s)
W: Failed to fetch https://deb.nodesource.com/node_8.x/dists/jessie/main/binary-armhf/Packages  Hash Sum mismatch
E: Some index files failed to download. They have been ignored, or old ones used instead.
Reading package lists...
Building dependency tree...
Reading state information...
lsb-release is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 9 not upgraded.
dependencies.sh: 21: [: jessie: unexpected operator
Ok, version suffisante
> socketwatcher@0.3.0 install /var/www/html/plugins/dashbutton/resources/node_modules/socketwatcher
> node-gyp rebuild
make: Entering directory '/var/www/html/plugins/dashbutton/resources/node_modules/socketwatcher/build'
CXX(target) Release/obj.target/socketwatcher/socket_watcher.o
../socket_watcher.cpp: In static member function ‘static void SocketWatcher::New(const Nan::FunctionCallbackInfo<v8::Value>&)’:
../socket_watcher.cpp:104:49: warning: ‘v8::Local<v8::Object> v8::Function::NewInstance() const’ is deprecated (declared at /var/www/.node-gyp/8.10.0/include/node/v8.h:3851): Use maybe version [-Wdeprecated-declarations]
info.GetReturnValue().Set(cons->NewInstance());
^
SOLINK_MODULE(target) Release/obj.target/socketwatcher.node
COPY Release/socketwatcher.node
make: Leaving directory '/var/www/html/plugins/dashbutton/resources/node_modules/socketwatcher/build'
> pcap@2.0.0 install /var/www/html/plugins/dashbutton/resources/node_modules/pcap
> node-gyp rebuild
make: Entering directory '/var/www/html/plugins/dashbutton/resources/node_modules/pcap/build'
CXX(target) Release/obj.target/pcap_binding/pcap_binding.o
CXX(target) Release/obj.target/pcap_binding/pcap_session.o
../pcap_session.cc: In static member function ‘static void PcapSession::New(const Nan::FunctionCallbackInfo<v8::Value>&)’:
../pcap_session.cc:46:49: warning: ‘v8::Local<v8::Object> v8::Function::NewInstance() const’ is deprecated (declared at /var/www/.node-gyp/8.10.0/include/node/v8.h:3851): Use maybe version [-Wdeprecated-declarations]
info.GetReturnValue().Set(cons->NewInstance());
^
SOLINK_MODULE(target) Release/obj.target/pcap_binding.node
COPY Release/pcap_binding.node
make: Leaving directory '/var/www/html/plugins/dashbutton/resources/node_modules/pcap/build'
added 57 packages in 31.915s
Fin de l'installation
Le démon ne démarre pas seul , mais une fois démarré il tient le OK

W: Failed to fetch https://deb.nodesource.com/node_8.x/dis ... f/Packages Hash Sum mismatch
E: Some index files failed to download. They have been ignored, or old ones used instead.

Vue que la log indique : 9 not upgraded
J'ai fais :
apt-get update
apt-get upgrade

J'ai relancé les dépendances ensuite

Code : Tout sélectionner

Début de l'installation
Reading package lists...
Building dependency tree...
Reading state information...
libpcap-dev is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
converted 'https://raw.githubusercontent.com/lunarok/jeedom_nodejs/master/nodejs.sh' (ANSI_X3.4-1968) -> 'https://raw.githubusercontent.com/lunarok/jeedom_nodejs/master/nodejs.sh' (UTF-8)
--2018-03-28 20:40:36--  https://raw.githubusercontent.com/lunarok/jeedom_nodejs/master/nodejs.sh
Resolving raw.githubusercontent.com (raw.githubusercontent.com)... 151.101.120.133
Connecting to raw.githubusercontent.com (raw.githubusercontent.com)|151.101.120.133|:443... connected.
HTTP request sent, awaiting response... 200 OK
Length: 1617 (1.6K) [text/plain]
Saving to: 'dependencies.sh'
0K .                                                     100% 12.5M=0s
2018-03-28 20:40:36 (12.5 MB/s) - 'dependencies.sh' saved [1617/1617]
Version actuelle : 8
Hit http://archive.raspberrypi.org jessie InRelease
Hit http://mirrordirector.raspbian.org jessie InRelease
Hit http://archive.raspberrypi.org jessie/main armhf Packages
Hit http://mirrordirector.raspbian.org jessie/main armhf Packages
Hit https://deb.nodesource.com jessie InRelease
Hit http://mirrordirector.raspbian.org jessie/contrib armhf Packages
Hit http://archive.raspberrypi.org jessie/ui armhf Packages
Hit https://deb.nodesource.com jessie/main Sources
Hit https://deb.nodesource.com jessie/main armhf Packages
Get:1 https://deb.nodesource.com jessie/main Translation-en [162 B]
Hit http://mirrordirector.raspbian.org jessie/non-free armhf Packages
Get:2 https://deb.nodesource.com jessie/main Translation-en [162 B]
Get:3 https://deb.nodesource.com jessie/main Translation-en [162 B]
Hit http://mirrordirector.raspbian.org jessie/rpi armhf Packages
Get:4 https://deb.nodesource.com jessie/main Translation-en [162 B]
Get:5 https://deb.nodesource.com jessie/main Translation-en [162 B]
Ign https://deb.nodesource.com jessie/main Translation-en
Ign http://archive.raspberrypi.org jessie/main Translation-en
Ign http://archive.raspberrypi.org jessie/ui Translation-en
Ign http://mirrordirector.raspbian.org jessie/contrib Translation-en
Ign http://mirrordirector.raspbian.org jessie/main Translation-en
Ign http://mirrordirector.raspbian.org jessie/non-free Translation-en
Ign http://mirrordirector.raspbian.org jessie/rpi Translation-en
Reading package lists...
Reading package lists...
Building dependency tree...
Reading state information...
lsb-release is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
dependencies.sh: 21: [: jessie: unexpected operator
Ok, version suffisante
> socketwatcher@0.3.0 install /var/www/html/plugins/dashbutton/resources/node_modules/socketwatcher
> node-gyp rebuild
make: Entering directory '/var/www/html/plugins/dashbutton/resources/node_modules/socketwatcher/build'
CXX(target) Release/obj.target/socketwatcher/socket_watcher.o
../socket_watcher.cpp: In static member function 'static void SocketWatcher::New(const Nan::FunctionCallbackInfo<v8::Value>&)':
../socket_watcher.cpp:104:49: warning: 'v8::Local<v8::Object> v8::Function::NewInstance() const' is deprecated (declared at /var/www/.node-gyp/8.11.0/include/node/v8.h:3851): Use maybe version [-Wdeprecated-declarations]
info.GetReturnValue().Set(cons->NewInstance());
^
SOLINK_MODULE(target) Release/obj.target/socketwatcher.node
COPY Release/socketwatcher.node
make: Leaving directory '/var/www/html/plugins/dashbutton/resources/node_modules/socketwatcher/build'
> pcap@2.0.0 install /var/www/html/plugins/dashbutton/resources/node_modules/node-dash-button/node_modules/pcap
> node-gyp rebuild
make: Entering directory '/var/www/html/plugins/dashbutton/resources/node_modules/node-dash-button/node_modules/pcap/build'
CXX(target) Release/obj.target/pcap_binding/pcap_binding.o
CXX(target) Release/obj.target/pcap_binding/pcap_session.o
../pcap_session.cc: In static member function 'static void PcapSession::New(const Nan::FunctionCallbackInfo<v8::Value>&)':
../pcap_session.cc:46:49: warning: 'v8::Local<v8::Object> v8::Function::NewInstance() const' is deprecated (declared at /var/www/.node-gyp/8.11.0/include/node/v8.h:3851): Use maybe version [-Wdeprecated-declarations]
info.GetReturnValue().Set(cons->NewInstance());
^
SOLINK_MODULE(target) Release/obj.target/pcap_binding.node
COPY Release/pcap_binding.node
make: Leaving directory '/var/www/html/plugins/dashbutton/resources/node_modules/node-dash-button/node_modules/pcap/build'
added 57 packages in 35.4s
Fin de l'installation
Je ne sais pas si ;
dependencies.sh: 21: [: jessie: unexpected operator
Signifie pas une erreur dans le script d'installation.

Deux lignes mis plus haut, ont disparues.

Sinon, j'ai cru comprendre que Jessie n'est plus supporté, c'est bien cela ?

Merci.
Raspberry PI 3 B+ : Jeedom 3.3.24 + 21 plugins
Z-Wave : AEOTEC AEOEZW090-C
RFXCom : RFXtrx433E (FW 1025)
BLEA : Sena UD100-G03 (ant. 8db) & Raspberry PI Zero W + Sena UD100-G03 (ant. 12db)

Avatar de l’utilisateur
Jeandhom
Actif
Messages : 1162
Inscription : 20 oct. 2015, 17:32

Re: [Plugin Tiers][Sujet Principal] Dash Button Amazon

Message par Jeandhom » 28 mars 2018, 21:48

Code : Tout sélectionner

0 upgraded, 0 newly installed, 0 to remove and 2 not upgraded.
A priori, il te reste à faire la mise à jour du noyau.

Code : Tout sélectionner

apt-get dist-upgrade

Avatar de l’utilisateur
Fabrice
Actif
Messages : 2852
Inscription : 27 oct. 2016, 22:26
Localisation : Planète terre, IDF, 93

Re: [Plugin Tiers][Sujet Principal] Dash Button Amazon

Message par Fabrice » 28 mars 2018, 22:11

Partie 2 de mon message, je l'ai fait :
apt-get update
apt-get upgrade

Je compte passer sur la dernière Raspbian, ce WE si je trouve le temps.
Raspberry PI 3 B+ : Jeedom 3.3.24 + 21 plugins
Z-Wave : AEOTEC AEOEZW090-C
RFXCom : RFXtrx433E (FW 1025)
BLEA : Sena UD100-G03 (ant. 8db) & Raspberry PI Zero W + Sena UD100-G03 (ant. 12db)

Jouef
Timide
Messages : 87
Inscription : 13 mai 2016, 10:13

Re: [Plugin Tiers][Sujet Principal] Dash Button Amazon

Message par Jouef » 29 mars 2018, 17:08

Hello

J'ai moi aussi un soucis depuis la MAJ vers la 2,4.
Je précise que je suis sous jessie (debian 8).
J'ai tenté le apt-get update / upgrade, qui s'est bien déroulé, j'ai tenté aussi le libpcap-dev qui était déja à jour...

Bref voila le dernier retour du plugin :

Code : Tout sélectionner

Début de l'installation
Reading package lists...
Building dependency tree...
Reading state information...
libpcap-dev is already the newest version.
The following package was automatically installed and is no longer required:
libgconf2-4
Use 'apt-get autoremove' to remove it.
0 upgraded, 0 newly installed, 0 to remove and 4 not upgraded.
converted 'https://raw.githubusercontent.com/lunarok/jeedom_nodejs/master/nodejs.sh' (ANSI_X3.4-1968) -> 'https://raw.githubusercontent.com/lunarok/jeedom_nodejs/master/nodejs.sh' (UTF-8)
--2018-03-29 16:54:30--  https://raw.githubusercontent.com/lunarok/jeedom_nodejs/master/nodejs.sh
Resolving raw.githubusercontent.com (raw.githubusercontent.com)... 151.101.12.133
Connecting to raw.githubusercontent.com (raw.githubusercontent.com)|151.101.12.133|:443... connected.
HTTP request sent, awaiting response... 200 OK
Length: 1617 (1.6K) [text/plain]
Saving to: 'dependencies.sh'
0K .                                                     100% 10.0M=0s
2018-03-29 16:54:30 (10.0 MB/s) - 'dependencies.sh' saved [1617/1617]
Version actuelle : 8
Ign http://ftp.fr.debian.org jessie InRelease
Hit http://security.debian.org jessie/updates InRelease
Hit http://ftp.fr.debian.org jessie-updates InRelease
Hit http://ftp.fr.debian.org jessie Release.gpg
Hit http://ftp.fr.debian.org jessie Release
Hit https://deb.nodesource.com jessie InRelease
Hit http://security.debian.org jessie/updates/main Sources
Hit http://security.debian.org jessie/updates/non-free Sources
Hit http://security.debian.org jessie/updates/contrib Sources
Hit http://security.debian.org jessie/updates/main i386 Packages
Hit http://security.debian.org jessie/updates/non-free i386 Packages
Hit http://security.debian.org jessie/updates/contrib i386 Packages
Hit http://security.debian.org jessie/updates/contrib Translation-en
Hit http://security.debian.org jessie/updates/main Translation-en
Hit http://security.debian.org jessie/updates/non-free Translation-en
Hit http://ftp.fr.debian.org jessie-updates/main Sources
Hit http://ftp.fr.debian.org jessie-updates/non-free Sources
Hit http://ftp.fr.debian.org jessie-updates/contrib Sources
Get:1 http://ftp.fr.debian.org jessie-updates/main i386 Packages/DiffIndex [10.9 kB]
Get:2 http://ftp.fr.debian.org jessie-updates/non-free i386 Packages/DiffIndex [736 B]
Hit http://ftp.fr.debian.org jessie-updates/contrib i386 Packages
Hit http://ftp.fr.debian.org jessie-updates/contrib Translation-en
Get:3 http://ftp.fr.debian.org jessie-updates/main Translation-en/DiffIndex [3688 B]
Get:4 http://ftp.fr.debian.org jessie-updates/non-free Translation-en/DiffIndex [736 B]
Hit http://ftp.fr.debian.org jessie/main Sources
Hit http://ftp.fr.debian.org jessie/non-free Sources
Hit http://ftp.fr.debian.org jessie/contrib Sources
Hit http://ftp.fr.debian.org jessie/main i386 Packages
Hit https://deb.nodesource.com jessie/main Sources
Hit https://deb.nodesource.com jessie/main i386 Packages
Hit http://ftp.fr.debian.org jessie/non-free i386 Packages
Get:5 https://deb.nodesource.com jessie/main Translation-en [162 B]
Hit http://ftp.fr.debian.org jessie/contrib i386 Packages
Get:6 https://deb.nodesource.com jessie/main Translation-fr [162 B]
Get:7 https://deb.nodesource.com jessie/main Translation-en [162 B]
Hit http://ftp.fr.debian.org jessie/contrib Translation-en
Get:8 https://deb.nodesource.com jessie/main Translation-fr [162 B]
Hit http://ftp.fr.debian.org jessie/main Translation-en
Get:9 https://deb.nodesource.com jessie/main Translation-en [162 B]
Hit http://ftp.fr.debian.org jessie/main Translation-fr
Get:10 https://deb.nodesource.com jessie/main Translation-fr [162 B]
Get:11 https://deb.nodesource.com jessie/main Translation-en [162 B]
Hit http://ftp.fr.debian.org jessie/non-free Translation-en
Get:12 https://deb.nodesource.com jessie/main Translation-fr [162 B]
Get:13 https://deb.nodesource.com jessie/main Translation-en [162 B]
Ign https://deb.nodesource.com jessie/main Translation-en
Get:14 https://deb.nodesource.com jessie/main Translation-fr [162 B]
Ign https://deb.nodesource.com jessie/main Translation-fr
Fetched 16.0 kB in 57s (276 B/s)
Reading package lists...
Reading package lists...
Building dependency tree...
Reading state information...
lsb-release is already the newest version.
The following package was automatically installed and is no longer required:
libgconf2-4
Use 'apt-get autoremove' to remove it.
0 upgraded, 0 newly installed, 0 to remove and 4 not upgraded.
dependencies.sh: 21: [: jessie: unexpected operator
Ok, version suffisante
npm ERR! code ENOGIT
npm ERR! No git binary found in $PATH
npm ERR!
npm ERR! Failed using git.
npm ERR! Please check if you have git installed and in your PATH.
npm ERR! A complete log of this run can be found in:
npm ERR!     /var/www/.npm/_logs/2018-03-29T14_56_23_553Z-debug.log
chown: cannot access 'node_modules': No such file or directory
Fin de l'installation
A votre avis ? :?
-= Jouef =-
Jeedom DIY + rfxcom + zwave + bluetooth
Google home
fibaro switch 221/222 - Qubino switchs - evergreen wallplug - prises DIO - dashbuttons
Webcams
aeon energy meter

geo480
Timide
Messages : 71
Inscription : 18 août 2017, 20:09
Localisation : Ath - Belgique

Re: [Plugin Tiers][Sujet Principal] Dash Button Amazon

Message par geo480 » 30 mars 2018, 15:24

Jouef a écrit :
29 mars 2018, 17:08
Hello

J'ai moi aussi un soucis depuis la MAJ vers la 2,4.
Je précise que je suis sous jessie (debian 8).
J'ai tenté le apt-get update / upgrade, qui s'est bien déroulé, j'ai tenté aussi le libpcap-dev qui était déja à jour...

Bref voila le dernier retour du plugin :

Code : Tout sélectionner

Début de l'installation
Reading package lists...
Building dependency tree...
Reading state information...
libpcap-dev is already the newest version.
The following package was automatically installed and is no longer required:
libgconf2-4
Use 'apt-get autoremove' to remove it.
0 upgraded, 0 newly installed, 0 to remove and 4 not upgraded.
converted 'https://raw.githubusercontent.com/lunarok/jeedom_nodejs/master/nodejs.sh' (ANSI_X3.4-1968) -> 'https://raw.githubusercontent.com/lunarok/jeedom_nodejs/master/nodejs.sh' (UTF-8)
--2018-03-29 16:54:30--  https://raw.githubusercontent.com/lunarok/jeedom_nodejs/master/nodejs.sh
Resolving raw.githubusercontent.com (raw.githubusercontent.com)... 151.101.12.133
Connecting to raw.githubusercontent.com (raw.githubusercontent.com)|151.101.12.133|:443... connected.
HTTP request sent, awaiting response... 200 OK
Length: 1617 (1.6K) [text/plain]
Saving to: 'dependencies.sh'
0K .                                                     100% 10.0M=0s
2018-03-29 16:54:30 (10.0 MB/s) - 'dependencies.sh' saved [1617/1617]
Version actuelle : 8
Ign http://ftp.fr.debian.org jessie InRelease
Hit http://security.debian.org jessie/updates InRelease
Hit http://ftp.fr.debian.org jessie-updates InRelease
Hit http://ftp.fr.debian.org jessie Release.gpg
Hit http://ftp.fr.debian.org jessie Release
Hit https://deb.nodesource.com jessie InRelease
Hit http://security.debian.org jessie/updates/main Sources
Hit http://security.debian.org jessie/updates/non-free Sources
Hit http://security.debian.org jessie/updates/contrib Sources
Hit http://security.debian.org jessie/updates/main i386 Packages
Hit http://security.debian.org jessie/updates/non-free i386 Packages
Hit http://security.debian.org jessie/updates/contrib i386 Packages
Hit http://security.debian.org jessie/updates/contrib Translation-en
Hit http://security.debian.org jessie/updates/main Translation-en
Hit http://security.debian.org jessie/updates/non-free Translation-en
Hit http://ftp.fr.debian.org jessie-updates/main Sources
Hit http://ftp.fr.debian.org jessie-updates/non-free Sources
Hit http://ftp.fr.debian.org jessie-updates/contrib Sources
Get:1 http://ftp.fr.debian.org jessie-updates/main i386 Packages/DiffIndex [10.9 kB]
Get:2 http://ftp.fr.debian.org jessie-updates/non-free i386 Packages/DiffIndex [736 B]
Hit http://ftp.fr.debian.org jessie-updates/contrib i386 Packages
Hit http://ftp.fr.debian.org jessie-updates/contrib Translation-en
Get:3 http://ftp.fr.debian.org jessie-updates/main Translation-en/DiffIndex [3688 B]
Get:4 http://ftp.fr.debian.org jessie-updates/non-free Translation-en/DiffIndex [736 B]
Hit http://ftp.fr.debian.org jessie/main Sources
Hit http://ftp.fr.debian.org jessie/non-free Sources
Hit http://ftp.fr.debian.org jessie/contrib Sources
Hit http://ftp.fr.debian.org jessie/main i386 Packages
Hit https://deb.nodesource.com jessie/main Sources
Hit https://deb.nodesource.com jessie/main i386 Packages
Hit http://ftp.fr.debian.org jessie/non-free i386 Packages
Get:5 https://deb.nodesource.com jessie/main Translation-en [162 B]
Hit http://ftp.fr.debian.org jessie/contrib i386 Packages
Get:6 https://deb.nodesource.com jessie/main Translation-fr [162 B]
Get:7 https://deb.nodesource.com jessie/main Translation-en [162 B]
Hit http://ftp.fr.debian.org jessie/contrib Translation-en
Get:8 https://deb.nodesource.com jessie/main Translation-fr [162 B]
Hit http://ftp.fr.debian.org jessie/main Translation-en
Get:9 https://deb.nodesource.com jessie/main Translation-en [162 B]
Hit http://ftp.fr.debian.org jessie/main Translation-fr
Get:10 https://deb.nodesource.com jessie/main Translation-fr [162 B]
Get:11 https://deb.nodesource.com jessie/main Translation-en [162 B]
Hit http://ftp.fr.debian.org jessie/non-free Translation-en
Get:12 https://deb.nodesource.com jessie/main Translation-fr [162 B]
Get:13 https://deb.nodesource.com jessie/main Translation-en [162 B]
Ign https://deb.nodesource.com jessie/main Translation-en
Get:14 https://deb.nodesource.com jessie/main Translation-fr [162 B]
Ign https://deb.nodesource.com jessie/main Translation-fr
Fetched 16.0 kB in 57s (276 B/s)
Reading package lists...
Reading package lists...
Building dependency tree...
Reading state information...
lsb-release is already the newest version.
The following package was automatically installed and is no longer required:
libgconf2-4
Use 'apt-get autoremove' to remove it.
0 upgraded, 0 newly installed, 0 to remove and 4 not upgraded.
dependencies.sh: 21: [: jessie: unexpected operator
Ok, version suffisante
npm ERR! code ENOGIT
npm ERR! No git binary found in $PATH
npm ERR!
npm ERR! Failed using git.
npm ERR! Please check if you have git installed and in your PATH.
npm ERR! A complete log of this run can be found in:
npm ERR!     /var/www/.npm/_logs/2018-03-29T14_56_23_553Z-debug.log
chown: cannot access 'node_modules': No such file or directory
Fin de l'installation
A votre avis ? :?
J'ai exactement la même erreur, une idée?

emilien81
Timide
Messages : 3
Inscription : 10 mars 2018, 17:14

Re: [Plugin Tiers][Sujet Principal] Dash Button Amazon

Message par emilien81 » 30 mars 2018, 23:25

Fabrice a écrit :
28 mars 2018, 20:50
Bonjour,

Voici la log d'installation des dépendances de la version du 2018-03-28 04:53:53

Je suis sur un RPI3 avec Jessie

Code : Tout sélectionner

Début de l'installation
Reading package lists...
Building dependency tree...
Reading state information...
libpcap-dev is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 2 not upgraded.
--2018-03-28 20:30:07--  https://raw.githubusercontent.com/lunarok/jeedom_nodejs/master/nodejs.sh
Resolving raw.githubusercontent.com (raw.githubusercontent.com)... 151.101.120.133
Connecting to raw.githubusercontent.com (raw.githubusercontent.com)|151.101.120.133|:443... connected.
HTTP request sent, awaiting response... 200 OK
Length: 1617 (1.6K) [text/plain]
Saving to: ‘dependencies.sh’
0K .                                                     100% 13.8M=0s
2018-03-28 20:30:07 (13.8 MB/s) - ‘dependencies.sh’ saved [1617/1617]
Version actuelle : 8
Get:1 http://archive.raspberrypi.org jessie InRelease [22.9 kB]
Get:2 http://mirrordirector.raspbian.org jessie InRelease [14.9 kB]
Get:3 https://deb.nodesource.com jessie InRelease [4,646 B]
Get:4 http://mirrordirector.raspbian.org jessie/main armhf Packages [9,536 kB]
Hit https://deb.nodesource.com jessie/main Sources
Get:5 https://deb.nodesource.com jessie/main armhf Packages [1,001 B]
Get:6 https://deb.nodesource.com jessie/main Translation-en_GB [162 B]
Get:7 https://deb.nodesource.com jessie/main Translation-en [162 B]
Get:8 http://archive.raspberrypi.org jessie/main armhf Packages [172 kB]
Get:9 https://deb.nodesource.com jessie/main Translation-en_GB [162 B]
Get:10 https://deb.nodesource.com jessie/main Translation-en [162 B]
Hit http://archive.raspberrypi.org jessie/ui armhf Packages
Get:11 https://deb.nodesource.com jessie/main Translation-en_GB [162 B]
Get:12 https://deb.nodesource.com jessie/main Translation-en [162 B]
Get:13 https://deb.nodesource.com jessie/main Translation-en_GB [162 B]
Get:14 https://deb.nodesource.com jessie/main Translation-en [162 B]
Get:15 https://deb.nodesource.com jessie/main Translation-en_GB [162 B]
Ign https://deb.nodesource.com jessie/main Translation-en_GB
Get:16 https://deb.nodesource.com jessie/main Translation-en [162 B]
Ign https://deb.nodesource.com jessie/main Translation-en
Ign http://archive.raspberrypi.org jessie/main Translation-en_GB
Ign http://archive.raspberrypi.org jessie/main Translation-en
Ign http://archive.raspberrypi.org jessie/ui Translation-en_GB
Ign http://archive.raspberrypi.org jessie/ui Translation-en
Get:17 http://mirrordirector.raspbian.org jessie/contrib armhf Packages [43.3 kB]
Get:18 http://mirrordirector.raspbian.org jessie/non-free armhf Packages [84.2 kB]
Get:19 http://mirrordirector.raspbian.org jessie/rpi armhf Packages [1,356 B]
Ign http://mirrordirector.raspbian.org jessie/contrib Translation-en_GB
Ign http://mirrordirector.raspbian.org jessie/contrib Translation-en
Ign http://mirrordirector.raspbian.org jessie/main Translation-en_GB
Ign http://mirrordirector.raspbian.org jessie/main Translation-en
Ign http://mirrordirector.raspbian.org jessie/non-free Translation-en_GB
Ign http://mirrordirector.raspbian.org jessie/non-free Translation-en
Ign http://mirrordirector.raspbian.org jessie/rpi Translation-en_GB
Ign http://mirrordirector.raspbian.org jessie/rpi Translation-en
Fetched 9,880 kB in 15s (634 kB/s)
W: Failed to fetch https://deb.nodesource.com/node_8.x/dists/jessie/main/binary-armhf/Packages  Hash Sum mismatch
E: Some index files failed to download. They have been ignored, or old ones used instead.
Reading package lists...
Building dependency tree...
Reading state information...
lsb-release is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 9 not upgraded.
dependencies.sh: 21: [: jessie: unexpected operator
Ok, version suffisante
> socketwatcher@0.3.0 install /var/www/html/plugins/dashbutton/resources/node_modules/socketwatcher
> node-gyp rebuild
make: Entering directory '/var/www/html/plugins/dashbutton/resources/node_modules/socketwatcher/build'
CXX(target) Release/obj.target/socketwatcher/socket_watcher.o
../socket_watcher.cpp: In static member function ‘static void SocketWatcher::New(const Nan::FunctionCallbackInfo<v8::Value>&)’:
../socket_watcher.cpp:104:49: warning: ‘v8::Local<v8::Object> v8::Function::NewInstance() const’ is deprecated (declared at /var/www/.node-gyp/8.10.0/include/node/v8.h:3851): Use maybe version [-Wdeprecated-declarations]
info.GetReturnValue().Set(cons->NewInstance());
^
SOLINK_MODULE(target) Release/obj.target/socketwatcher.node
COPY Release/socketwatcher.node
make: Leaving directory '/var/www/html/plugins/dashbutton/resources/node_modules/socketwatcher/build'
> pcap@2.0.0 install /var/www/html/plugins/dashbutton/resources/node_modules/pcap
> node-gyp rebuild
make: Entering directory '/var/www/html/plugins/dashbutton/resources/node_modules/pcap/build'
CXX(target) Release/obj.target/pcap_binding/pcap_binding.o
CXX(target) Release/obj.target/pcap_binding/pcap_session.o
../pcap_session.cc: In static member function ‘static void PcapSession::New(const Nan::FunctionCallbackInfo<v8::Value>&)’:
../pcap_session.cc:46:49: warning: ‘v8::Local<v8::Object> v8::Function::NewInstance() const’ is deprecated (declared at /var/www/.node-gyp/8.10.0/include/node/v8.h:3851): Use maybe version [-Wdeprecated-declarations]
info.GetReturnValue().Set(cons->NewInstance());
^
SOLINK_MODULE(target) Release/obj.target/pcap_binding.node
COPY Release/pcap_binding.node
make: Leaving directory '/var/www/html/plugins/dashbutton/resources/node_modules/pcap/build'
added 57 packages in 31.915s
Fin de l'installation
Le démon ne démarre pas seul , mais une fois démarré il tient le OK

W: Failed to fetch https://deb.nodesource.com/node_8.x/dis ... f/Packages Hash Sum mismatch
E: Some index files failed to download. They have been ignored, or old ones used instead.

Vue que la log indique : 9 not upgraded
J'ai fais :
apt-get update
apt-get upgrade

J'ai relancé les dépendances ensuite

Code : Tout sélectionner

Début de l'installation
Reading package lists...
Building dependency tree...
Reading state information...
libpcap-dev is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
converted 'https://raw.githubusercontent.com/lunarok/jeedom_nodejs/master/nodejs.sh' (ANSI_X3.4-1968) -> 'https://raw.githubusercontent.com/lunarok/jeedom_nodejs/master/nodejs.sh' (UTF-8)
--2018-03-28 20:40:36--  https://raw.githubusercontent.com/lunarok/jeedom_nodejs/master/nodejs.sh
Resolving raw.githubusercontent.com (raw.githubusercontent.com)... 151.101.120.133
Connecting to raw.githubusercontent.com (raw.githubusercontent.com)|151.101.120.133|:443... connected.
HTTP request sent, awaiting response... 200 OK
Length: 1617 (1.6K) [text/plain]
Saving to: 'dependencies.sh'
0K .                                                     100% 12.5M=0s
2018-03-28 20:40:36 (12.5 MB/s) - 'dependencies.sh' saved [1617/1617]
Version actuelle : 8
Hit http://archive.raspberrypi.org jessie InRelease
Hit http://mirrordirector.raspbian.org jessie InRelease
Hit http://archive.raspberrypi.org jessie/main armhf Packages
Hit http://mirrordirector.raspbian.org jessie/main armhf Packages
Hit https://deb.nodesource.com jessie InRelease
Hit http://mirrordirector.raspbian.org jessie/contrib armhf Packages
Hit http://archive.raspberrypi.org jessie/ui armhf Packages
Hit https://deb.nodesource.com jessie/main Sources
Hit https://deb.nodesource.com jessie/main armhf Packages
Get:1 https://deb.nodesource.com jessie/main Translation-en [162 B]
Hit http://mirrordirector.raspbian.org jessie/non-free armhf Packages
Get:2 https://deb.nodesource.com jessie/main Translation-en [162 B]
Get:3 https://deb.nodesource.com jessie/main Translation-en [162 B]
Hit http://mirrordirector.raspbian.org jessie/rpi armhf Packages
Get:4 https://deb.nodesource.com jessie/main Translation-en [162 B]
Get:5 https://deb.nodesource.com jessie/main Translation-en [162 B]
Ign https://deb.nodesource.com jessie/main Translation-en
Ign http://archive.raspberrypi.org jessie/main Translation-en
Ign http://archive.raspberrypi.org jessie/ui Translation-en
Ign http://mirrordirector.raspbian.org jessie/contrib Translation-en
Ign http://mirrordirector.raspbian.org jessie/main Translation-en
Ign http://mirrordirector.raspbian.org jessie/non-free Translation-en
Ign http://mirrordirector.raspbian.org jessie/rpi Translation-en
Reading package lists...
Reading package lists...
Building dependency tree...
Reading state information...
lsb-release is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
dependencies.sh: 21: [: jessie: unexpected operator
Ok, version suffisante
> socketwatcher@0.3.0 install /var/www/html/plugins/dashbutton/resources/node_modules/socketwatcher
> node-gyp rebuild
make: Entering directory '/var/www/html/plugins/dashbutton/resources/node_modules/socketwatcher/build'
CXX(target) Release/obj.target/socketwatcher/socket_watcher.o
../socket_watcher.cpp: In static member function 'static void SocketWatcher::New(const Nan::FunctionCallbackInfo<v8::Value>&)':
../socket_watcher.cpp:104:49: warning: 'v8::Local<v8::Object> v8::Function::NewInstance() const' is deprecated (declared at /var/www/.node-gyp/8.11.0/include/node/v8.h:3851): Use maybe version [-Wdeprecated-declarations]
info.GetReturnValue().Set(cons->NewInstance());
^
SOLINK_MODULE(target) Release/obj.target/socketwatcher.node
COPY Release/socketwatcher.node
make: Leaving directory '/var/www/html/plugins/dashbutton/resources/node_modules/socketwatcher/build'
> pcap@2.0.0 install /var/www/html/plugins/dashbutton/resources/node_modules/node-dash-button/node_modules/pcap
> node-gyp rebuild
make: Entering directory '/var/www/html/plugins/dashbutton/resources/node_modules/node-dash-button/node_modules/pcap/build'
CXX(target) Release/obj.target/pcap_binding/pcap_binding.o
CXX(target) Release/obj.target/pcap_binding/pcap_session.o
../pcap_session.cc: In static member function 'static void PcapSession::New(const Nan::FunctionCallbackInfo<v8::Value>&)':
../pcap_session.cc:46:49: warning: 'v8::Local<v8::Object> v8::Function::NewInstance() const' is deprecated (declared at /var/www/.node-gyp/8.11.0/include/node/v8.h:3851): Use maybe version [-Wdeprecated-declarations]
info.GetReturnValue().Set(cons->NewInstance());
^
SOLINK_MODULE(target) Release/obj.target/pcap_binding.node
COPY Release/pcap_binding.node
make: Leaving directory '/var/www/html/plugins/dashbutton/resources/node_modules/node-dash-button/node_modules/pcap/build'
added 57 packages in 35.4s
Fin de l'installation
Je ne sais pas si ;
dependencies.sh: 21: [: jessie: unexpected operator
Signifie pas une erreur dans le script d'installation.

Deux lignes mis plus haut, ont disparues.

Sinon, j'ai cru comprendre que Jessie n'est plus supporté, c'est bien cela ?

Merci.
Bonjour,

J'ai la même erreur que Fabrice avec la distribution raspbian suivante: Linux raspberrypi 4.9.80-v7+.
Distribution que j'ai installé récemment et sur laquelle je viens de faire ce soir un "apt-get update / upgrade".

Ce que je remarque c'est que le build remonte une erreur lorsqu'il fait le make du socket_watcher.
Et j'ai également le message d'erreur "dependencies.sh: 21: [: jessie: unexpected operator" mais je ne suis pas sûr que ce soit la raison du problème.

Est-ce que quelqu'un a des pistes voir réussit à fixer ce problème?

Merci pour votre aide,
Emilien

Avatar de l’utilisateur
Fabrice
Actif
Messages : 2852
Inscription : 27 oct. 2016, 22:26
Localisation : Planète terre, IDF, 93

Re: [Plugin Tiers][Sujet Principal] Dash Button Amazon

Message par Fabrice » 31 mars 2018, 12:36

Bonjour,

Je viens d'installer Jeedom sur le nouveau Raspberry PI3B + (sur SSD)
- Distribution Raspbian (2018-03-13)
- apt-get update
- apt-get upgrade
- Installation de Jeedom
- Restauration de la dernière sauvegarde
- Correction des droits pour Jeedom 3.1.7

L'ensemble des dépendances des plugins s'installent seul.
-Tout est OK
* sauf Amazon Dash.

Même log qu'ici :
viewtopic.php?f=141&t=18720&start=1000#p599462

Donc même solution que proposée ici :
viewtopic.php?f=141&t=18720&start=1020#p600837

A savoir :

Code : Tout sélectionner

sudo apt-get install libpcap-dev
Puis réinstallation des dépendances du plugin Dash.
- Statut démon ok

Ecran Santé de Jeedom (pour l'affichage de la version)

Code : Tout sélectionner

Système à jour	OK	
Cron actif	OK	
Scénario actif	OK	
Démarré	OK (2018-03-31 11:54:24)	
Date système	OK	
Authentification par défaut	OK	
Droits sudo	OK	
Version Jeedom	3.1.7	
Version PHP	7.0.27-0+deb9u1	
Version OS	Linux jeedom 4.14.30-v7+ #1102 SMP Mon Mar 26 16:45:49 BST 2018 armv7l GNU/Linux [9.4]	
Version database	10.1.23-MariaDB-9+deb9u1	
Espace disque libre	86 %	
Mémoire disponible	62 %	
Swap disponible	100 %	
Charge	0.65 - 0.84 - 0.88	
Configuration réseau interne	OK	
Configuration réseau externe	OK	
Persistance du cache	OK (2018-03-31 12:00:05)	
Plugins	OK
Merci pour le partage de la solution.
Raspberry PI 3 B+ : Jeedom 3.3.24 + 21 plugins
Z-Wave : AEOTEC AEOEZW090-C
RFXCom : RFXtrx433E (FW 1025)
BLEA : Sena UD100-G03 (ant. 8db) & Raspberry PI Zero W + Sena UD100-G03 (ant. 12db)

geo480
Timide
Messages : 71
Inscription : 18 août 2017, 20:09
Localisation : Ath - Belgique

Re: [Plugin Tiers][Sujet Principal] Dash Button Amazon

Message par geo480 » 31 mars 2018, 12:54

Idem, je viens d'essayer, cela fonctionne correctement maintenant.
Mais j'ai des temps de réaction hyper lent, de 30sec à 2min. Une idée?

TaG
Actif
Messages : 1118
Inscription : 26 oct. 2016, 11:02

Re: [Plugin Tiers][Sujet Principal] Dash Button Amazon

Message par TaG » 01 avr. 2018, 22:51

:geek:
geo480 a écrit :
31 mars 2018, 12:54
Idem, je viens d'essayer, cela fonctionne correctement maintenant.
Mais j'ai des temps de réaction hyper lent, de 30sec à 2min. Une idée?
Ça c'est normal ;)

Répondre

Revenir vers « [Catégorie] Objets connectés »

Qui est en ligne ?

Utilisateurs parcourant ce forum : Aucun utilisateur inscrit et 0 invité